%define name	gpodder
%define version	0.12.3
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	A graphical podcast catcher
Version: 	%{version}
Release: 	%{release}
Source:		http://perli.net/projekte/gpodder/releases/%{version}/%{name}-%{version}.tar.gz
#Source:		http://perli.net/projekte/gpodder/releases/%{version}/%{name}-r%{svn}.tar.bz2
URL:		http://www.perli.net/projekte/gpodder/
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  help2man
Requires:	pygtk2.0 >= 2.6
Requires:       pygtk2.0-libglade
Requires:       python-feedparser
%if %mdkversion <= 200700
Requires:       python-sqlite2
%endif
# gw for iPod support:
Requires:	python-gpod
Requires:	pymad
Requires:	python-eyed3
# gw required for content length detection
Requires:	mplayer
# gw for transcoding and tagging Ogg Vorbis
Suggests:	vorbis-tools
Suggests:	lame
# gw for Bluetooth support
Suggests: bluez-utils bluez-gnome
BuildArch:	noarch

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdvver < 200900
%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README 
#ChangeLog 
%{_bindir}/%name
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/*.egg-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/gpodder.*
%{_datadir}/pixmaps/gpodd*.png




%changelog
* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdv2009.0
+ Revision: 283094
- new version

* Fri Aug 08 2008 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 268064
- new version
- update file list
- update license
- update postinstall scripts

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2009.0
+ Revision: 245148
- new version
- drop patch

* Fri Jul 18 2008 Götz Waschk <waschk@mandriva.org> 0.12.0-2mdv2009.0
+ Revision: 238166
- fix syncing to ipod

* Tue Jul 15 2008 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.0
+ Revision: 235814
- new version
- update deps

* Mon Jun 02 2008 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2009.0
+ Revision: 214178
- new version
- new version
- update file list

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2009.0
+ Revision: 192434
- new version
- drop patch

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 0.11.0-2mdv2008.1
+ Revision: 175397
- use bluez-gnome instead of gnome-bluetooth

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 174794
- new version
- update deps

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2008.1
+ Revision: 156229
- new version
- fix desktop entry

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.1
+ Revision: 119224
- new version
- update file list

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2008.1
+ Revision: 112151
- new version
- remove dep on python-id3

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.10.1-2mdv2008.1
+ Revision: 109227
- rebuild fore new lzma

* Sun Oct 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2008.1
+ Revision: 102832
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2008.1
+ Revision: 95941
- new version
- update deps

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2008.0
+ Revision: 71586
- new version
- drop patches

* Thu Aug 09 2007 Götz Waschk <waschk@mandriva.org> 0.9.4-4mdv2008.0
+ Revision: 60785
- fix sync with more than one new episode in a feed
- drop patch 1 again

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.4-3mdv2008.0
+ Revision: 59708
- patch to improve mp3 length detection

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.4-2mdv2008.0
+ Revision: 54541
- patch to use the right python-id3
- fix deps

* Sat Jul 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 54284
- new version
- drop patch

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 0.9.4-0.345.1mdv2008.0
+ Revision: 49931
- fix buildrequires
- svn snapshot with support for libgpod 0.5.x

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 44214
- new version
- drop patch

* Fri May 25 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-2mdv2008.0
+ Revision: 31071
- fix download on startup

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 30123
- new version


* Sat Apr 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 150957
- oops, fix buildrequires
- new version
- update deps
- drop patch
- fix installation
- add new icons

* Fri Mar 09 2007 Götz Waschk <waschk@mandriva.org> 0.9.0-2mdv2007.1
+ Revision: 138576
- fix desktop entry

* Wed Mar 07 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.0-1mdv2007.1
+ Revision: 134489
- New release 0.9.0

* Mon Feb 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.9-1mdv2007.1
+ Revision: 116233
- New release 0.8.9

* Tue Dec 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-3mdv2007.1
+ Revision: 99234
- Fix file list
- Rebuild against new python
- Swtich to new xdg menu
- Remove old menu style
- Import gpodder

* Tue Aug 01 2006 Jerome Soyer <saispo@mandriva.org> 0.8.0-1mdv2007.0
- New release 0.8.0

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Add BuildRequires
- use mkrel

* Mon Apr 10 2006 Austin Acton <austin@mandriva.org> 0.7-1mdk
- New release 0.7

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.6-1mdk
- New release 0.6

* Sat Feb 11 2006 Austin Acton <austin@mandriva.org> 0.5-1mdk
- New release 0.5

* Fri Sep 09 2005 Austin Acton <austin@mandriva.org> 0.4-1mdk
- New release 0.4

* Sun Sep 04 2005 Austin Acton <austin@mandriva.org> 0.3-1mdk
- initial package

